Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.sqlfileoutput
Class SQLFileOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.sqlfileoutput.SQLFileOutputData

All Implemented Interfaces:
  StepDataInterface

    public class SQLFileOutputData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`SimpleDateFormat` | `dateFormater` Cache of the data formatter object
`org.pentaho.di.core.database.Database` | `db`
`OutputStream` | `fos`
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`boolean` | `sendToErrorRow`
`int` | `splitnr`
`String` | `tableName`
`OutputStreamWriter` | `writer`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SQLFileOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### splitnr

    public int splitnr

### db

    public org.pentaho.di.core.database.Database db

### tableName

    public String tableName

### writer

    public OutputStreamWriter writer

### fos

    public OutputStream fos

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### dateFormater

    public SimpleDateFormat dateFormater

  Cache of the data formatter object

### sendToErrorRow

    public boolean sendToErrorRow

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

Constructor Detail

### SQLFileOutputData

    public SQLFileOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD